.MasterHeader {
  min-height: 80vh;
  text-align: center;
  color: white;
  background-image: url('../imgs/library.jpg');
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-position: center center;
  background-size: cover;
  position: relative;

  &__overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba($color-primary-light, 0.175);
  }

  &__container {
    width: 100%;
    height: 100%;
    @include flexCenter;
    flex-direction: column;
  }

  &__main-text {
    font-size: 6rem;
    line-height: 1.5;
    font-weight: 400;
    letter-spacing: 7px;
  }

  &__secondary-text {
    font-size: 3.5rem;
    font-weight: 200;
    letter-spacing: 4px;
  }

  &__buttons {
    @include flexCenter;
  }

  &__button {
    background-color: rgba($color-primary-light, 0.8);
    color: #fff;

    &:hover {
      background-color: darken($color-primary-light, 10%);
    }

    &--light {
      background-color: rgba($color-secondary-light, 1);
      color: lighten($color-primary, 10%);
      &:hover {
        background-color: rgba($color-secondary-light, 0.9);
      }
    }
  }
}
